DataBindingSourceRegistry (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | METHOD | DETAIL: FIELD | PROPERTY | METHOD

## org.codehaus.groovy.grails.web.binding.bindingsource
[Groovy] Interface DataBindingSourceRegistry

    interface DataBindingSourceRegistry

Responsible for locating DataBindingSourceCreator instances and using them to create DataBindingSource instances

Authors:
  Jeff Brown
  Graeme Rocher

See Also:
  DataBindingSourceCreator

Since:
  2.3

Property Summary
`java.lang.String` | `BEAN_NAME`

Method Summary
`void` | `addDataBindingSourceCreator(DataBindingSourceCreator creator)` Adds a new DataBindingSourceCreator to the registry
`CollectionDataBindingSource` | `createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)` Locates a CollectionDataBindingSource for the given MimeType and binding target
`DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)` Locates a DataBindingSource for the given MimeType and binding target

Property Detail

### BEAN_NAME

    java.lang.String BEAN_NAME

Method Detail

### addDataBindingSourceCreator

    void addDataBindingSourceCreator(DataBindingSourceCreator creator)

  Adds a new DataBindingSourceCreator to the registry
  Parameters:
    `creator` - The DataBindingSourceCreator

### createCollectionDataBindingSource

    CollectionDataBindingSource createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

  Locates a CollectionDataBindingSource for the given MimeType and binding target
  Parameters:
    `mimeType` - The MimeType
    `bindingTarget` - The type of the binding target
    `bindingSource` - The binding source
  Returns:
    The CollectionDataBindingSource

### createDataBindingSource

    DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

  Locates a DataBindingSource for the given MimeType and binding target
  Parameters:
    `mimeType` - The MimeType
    `bindingTarget` - The type of the binding target
    `bindingSource` - The binding source
  Returns:
    The DataBindingSource

Groovy Documentation